Neanderthals Paint Mammals

    visa-passport-extend

    0.1.0 • Public • Published

    visa-passport-extend

    Abstract and error classes for implementing visa-passport's backend API.

    Install

    Install the module with: npm install visa-passport-extend

    Usage

    This module exports an abstract Backend class and error classes (NotOverrideError, InvalidArgumentsError, RuleExistsError).

    The Backend class is intended to be subclassed when implementing concrete backend class. Once implemented, such classes can be used by applications that utilize visa-passport middleware for authorization.

    Subclass Backend

    var util = require('util'),
        Backend = require('visa-passport-extend');
     
    function MyAwesomeBackend(...) {
      Backend.call(this);
    }
     
    util.inherits(MyAwesomeBackend, Backend);

    License

    MIT

    Copyright (c) 2014 BJR Matos <https://github.com/borismcr9/> Licensed under the MIT license.

    Install

    npm i visa-passport-extend

    DownloadsWeekly Downloads

    6

    Version

    0.1.0

    License

    MIT

    Last publish

    Collaborators

    • bjrmatos